liblcms-devel-1.19-25.23.x86_64.rpm


Advertisement

Description

liblcms-devel - Include Files and Libraries Mandatory for Development

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename liblcms-devel-1.19-25.23.x86_64.rpm
Package name liblcms-devel
Package version 1.19
Package release 25.23
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://www.littlecms.com/
License MIT
Maintainer -
Download size 61.04 KB
Installed size 271.83 KB
This package contains all necessary include files and libraries needed
to develop applications that require these.

Alternatives

Package Version Architecture Repository
liblcms-devel-1.19-25.23.i586.rpm 1.19 i586 Multimedia Libs
liblcms-devel-1.19-1.osstw.i586.rpm 1.19 i586 Trinity R14
liblcms-devel-1.19-1.osstw.x86_64.rpm 1.19 x86_64 Trinity R14
liblcms-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
glibc-devel -
liblcms1 = 1.19

Provides

Name Value
liblcms-devel = 1.19-25.23
liblcms-devel(x86-64) = 1.19-25.23
pkgconfig(lcms) = 1.19

Download

Type URL
Mirror widehat.opensuse.org
Binary Package liblcms-devel-1.19-25.23.x86_64.rpm
Source Package lcms-1.19-25.23.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install liblcms-devel rpm package:
    # zypper install liblcms-devel

Files

Path
/usr/include/icc34.h
/usr/include/lcms.h
/usr/lib64/liblcms.so
/usr/lib64/pkgconfig/lcms.pc
/usr/share/doc/packages/liblcms-devel/LCMSAPI.TXT
/usr/share/doc/packages/liblcms-devel/TUTORIAL.TXT

Changelog

2017-06-16 - olaf@aepfle.de
- Run autoreconf due to apply changes to Makefile.am
- Build with -O1 to avoid make check errors with gcc7 (bnc#1041220)
2013-12-04 - mls@suse.de
- adapt lcms-endian patch to ppc64le
2013-10-05 - crrodriguez@opensuse.org
- add zlib-devel to buildrequires, not implicit anymore.
2013-10-04 - sbrabec@suse.cz
- Stack overflow fix
(CVE-2013-4276.patch, bnc#843716, CVE-2013-4276).
2013-04-11 - mmeister@suse.com
- Added url as source.
Please see http://en.opensuse.org/SourceUrls
2011-11-21 - jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Kill liblcms1->lcms Requires (the library does not depend on
the tools)
2010-10-10 - mrdocs@opensuse.org
- version bump to 1.19 which includes:
+ fixed minor vulnerabilities mentioned in NEWS file
+ removed cosmetic comparation with zero in floating point
+ no API changes
- drop lcms-bnc521513.patch - the change is in 1.19
2010-05-17 - coolo@novell.com
- do not re-swig, it's just too expensive as buildrequire
2010-04-24 - coolo@novell.com
- buildrequire pkg-config to fix provides
2009-12-15 - jengelh@medozas.de
- add baselibs.conf as a source

See Also

Package Description
liblcms-devel-32bit-1.19-25.23.x86_64.rpm Include Files and Libraries Mandatory for Development
liblcms1-1.19-25.23.i586.rpm Libraries for the Little CMS Engine
liblcms1-1.19-25.23.x86_64.rpm Libraries for the Little CMS Engine
liblcms1-32bit-1.19-25.23.x86_64.rpm Libraries for the Little CMS Engine
liblcms2-2-2.9-80.8.i586.rpm Libraries for the Little CMS Engine
liblcms2-2-2.9-80.8.x86_64.rpm Libraries for the Little CMS Engine
liblcms2-2-32bit-2.9-80.8.x86_64.rpm Libraries for the Little CMS Engine
liblcms2-devel-2.9-80.8.i586.rpm Include Files and Libraries Mandatory for Development
liblcms2-devel-2.9-80.8.x86_64.rpm Include Files and Libraries Mandatory for Development
liblcms2-devel-32bit-2.9-80.8.x86_64.rpm Include Files and Libraries Mandatory for Development
liblcms2-doc-2.9-80.8.noarch.rpm User and developer documentation for lcms2
libldac2-2.0.2.3-7.1.i586.rpm A lossy audio codec for Bluetooth connections
libldac2-2.0.2.3-7.1.x86_64.rpm A lossy audio codec for Bluetooth connections
liblilv-0-0-0.24.4-36.7.i586.rpm C library to make use of LV2 plugins
liblilv-0-0-0.24.4-36.7.x86_64.rpm C library to make use of LV2 plugins
Advertisement
Advertisement